<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CSS Introduction</title>
    <style type="text/css"></style>

    <!-- External CSS -->
    <link rel="stylesheet" href="style.css">
</head>
<!-- body is the parent -->
<body> 
    
    <nav id="top">
        <a href="#landing">Zuitt</a>
        
        <div>
            <a href="#landing">Landing</a>
            <a href="#register">Register</a>
        </div>
    </nav>

    <!-- Inline Styling is done when we add a style attribute to our tag -->
    <h1>Hello World</h1>

    <h2>Welcome to Zuitt</h2>
    <!-- targets unique id use only once-->
    <h3 id="zuitt-motto">Opportunities for everyone, everywhere!</h3>
<!-- adjacent sibling selector only applies if the sibling_element near the target_element 
        like the example below the img tag and h3 tag -->
    <img src="https://place-puppy.com/450x450">
    <h3>Hello Pup</h3>
    <img src="https://place-puppy.com/450x450">

    <section id="landing">
    <!-- class-name can be put in <ol> as well-->
        <!-- Descendant selector example here -->
        <!-- descendant mean will apply the style to all -->
    <ol id="bootcamp-learning-list">
        <li class="offering-item">Day Classes</li>
            <ul>
                <li>Java Short Course</li>
                <li>PHP Short Course</li>
                <li>Python Course</li>
            </ul>
        <li class="offering-item">Night Classes</li>
        <li class="offering-item">Intro to Coding Events</li>
    </ol>
    </section>

    <section id="register">
        <h2>Register</h2>
            <form>
                <label name="first-name">FIrst Name</label>
                <input type="text" name="first-name" id="first-name" required>

                <label name="last-name">Last Name</label>
                <input type="text" name="last-name" id="last-name" required>

                <label name="email">Email:</label>
                <input type="email" name="email" id="email" required>

            <button type="submit">Apply Now!</button>
            </form>
    </section>
    <br>
    <a href="#top">Back to top</a>
</body>
</html>